EDIT - feature request #8215

User demand: sorting order in reference editor
04/01/2019 11:07 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.7

Severity: normal

Description

Reference editor:
Author and in-Ref are sorting "contains”.
User demand: sorting should be "begins with"

Example: Searching for "Witk" works not as expected, giving first Witkowski, than Witkowski & A, Witkowski & B

Reference editor

registration New taxon name New basionym New nomenclatural reference

Kaleli, A , Krzywda, M, Witkowski, A & al
Date published

&

Kulikovskiy, M., Lange-Bertalot, H. & ‘Witkowski, A
Kulikovskiy, M., Lange-Bertalot, H., Witkow<ki 2 & al.

Lange-Bertalot, H , Metzeltin, D_ & Witkowski, A

Title Lange-Bertalot, H., Witkowski, A_ & Bak, M

Synedra alpha from Albania Lange-Bertalot, H., Witkowski, A. & Stachura, K.

. Metzeltin, D. & Witkowski, A.
Nomenclatural title 1, D. & \Witkows

Metzeltin, D., Witkowski, A. % Lange-Bertalot, H.
Riawx-Gobin, C. & Witkowski, A.

Author(s)
Riawxx-Gobin, C_, Witkowski, A ¢ Ector, L

& 11024

Related issues:
Related to EDIT - task #8209: use ellypsed references for all reference combo... Closed

Associated revisions

Revision 5acf0504 - 04/25/2019 01:14 PM - Andreas Kohlbecker
fix #8215 changing default match mode for reference paging provider to BEGINNING

Revision 7a5312a7 - 04/26/2019 10:46 AM - Andreas Kohlbecker

ref #8215 using match mode BEGINNING for all AgentBase paging providers, also centralizing the construction

History

#1 - 04/01/2019 12:31 PM - Andreas Kohlbecker

- Related to task #8209: use ellypsed references for all reference comboboxes added

#2 - 04/01/2019 12:31 PM - Andreas Kohlbecker
- Priority changed from New to Highest
- Target version changed from Unassigned CDM tickets to Release 5.6

#3 - 04/11/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#4 - 04/25/2019 01:14 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|5acf0504225e0f34e55b4eba216c3e1f8d2edeal.

#5 - 04/25/2019 01:15 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

done! Please test if the behavior is acceptable now.

#6 - 04/25/2019 04:04 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

User demand: sorting should be "begins with" not implemented. Sorting as shown on the screen shot.

#7 - 04/26/2019 11:08 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

| also worked on the persons and teams please review again

#8 - 04/26/2019 07:15 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

| tested the respective case. The problem is perfectly solved. The ticket can be closed

#9 - 04/26/2019 07:51 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
